<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="UTF-8"><meta name="copyright" content="(C) Copyright 2020"><meta name="DC.rights.owner" content="(C) Copyright 2020"><meta name="DC.type" content="topic"><meta name="DC.format" content="HTML5"><meta name="DC.identifier" content="naamgevingsconventie"><link rel="stylesheet" type="text/css" href="css/commonltr.css"><link rel="stylesheet" type="text/css" href="css/stop.css"><title>Naamgevingsconventie</title><link rel="shortcut icon" href="https://koop.gitlab.io/STOP/0.98-kern/img/stop.png"></head><body id="naamgevingsconventie"><header role="banner"><div>
  <script type="text/javascript">
    function search_google () {
    document.getElementById('search_google_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
    function search_bing () {
    document.getElementById('search_bing_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
  </script>
  <table>
    <tr>
      <td colspan="2">Standaard Officiële Publicaties</td>
      <td class="versie">versie 0.98.1-kern</td>
    </tr>
    <tr>
      <td class="subtitle">Voor gebruik in DSO-PI12 en DSO-PI13<br>
        Meest recente versie: zie <a href="https://koop.gitlab.io/STOP/standaard/index.html">doorontwikkeling</a></td>
      <td colspan="2" class="search">
        <form>
          <label for="search_tekst">Zoek naar</label> <input type="text" id="search_tekst" size="31" value="">
        </form>
        met
        <form method="get" action="https://www.google.com/search" target="_blank" onsubmit="search_google()">
          <input type="text" name="q" id="search_google_q" size="31" value="" style="display:none;">
          <input type="submit" value="Google">
        </form>
        of
        <form method="get" action="https://www.bing.com/search" target="_blank" onsubmit="search_bing()">
          <input type="text" name="q" id="search_bing_q" size="31" value="" style="display:none;">
          <input type="submit" value="Bing">
        </form>
      </td>
    </tr>
  </table>
</div></header><nav role="toc"><ul><li><a href="index.html">Introductie</a></li><li><a href="leeswijzers.html">Leeswijzers</a><ul><li><a href="modulairestructuur.html">Modulaire structuur</a></li><li><a href="domeinspecifiek.html">Domein-specifieke toepassingen</a></li><li><a href="tekstmodellen.html">Modellering van tekst</a></li><li><a href="informatieobjecten.html">Modellering van informatieobjecten</a></li><li class="active"><a href="naamgevingsconventie.html">Naamgevingsconventie</a><ul><li><a href="identificatie_doc_pub.html">Identificatie van publicaties en documenten</a></li><li><a href="identificatie_niet-tekst.html">Identificatie van niet-tekstuele informatie</a></li><li><a href="identificatie_wl_dt.html">Waardelijsten en datatypes in identificatie</a></li></ul></li><li><a href="tekstmuteren.html">Tekstmuteren</a></li></ul></li><li><a href="EA_D7FEF211FB2646928045FDF1A8F4D28A.html">Informatiemodel Officiele Publicaties</a></li><li><a href="technische_documentatie.html">Technische documentatie</a></li><li><a href="begrippenlijst.html">Begrippenlijst</a></li></ul></nav><main role="main"><article role="article" aria-labelledby="ariaid-title1"><h1 class="title topictitle1" id="ariaid-title1">Naamgevingsconventie</h1><div class="body"></div><article class="topic nested1" aria-labelledby="ariaid-title2" id="akoma-ntoso-als-basis"><h2 class="title topictitle2" id="ariaid-title2">Akoma Ntoso als basis</h2><div class="body"><p class="p">STOP hanteert een naamgevingsconventie voor het identificeren van documenten en data die is gebaseerd op de naamgevingsconventie van <a class="xref" href="https://docs.oasis-open.org/legaldocml/akn-nc/v1.0/os/akn-nc-v1.0-os.html" target="_blank">Akoma Ntoso</a> (of LegalDocML), afgekort AKN NC, een internationale standaard voor juridische teksten. AKN NC laat veel ruimte voor een nadere invulling. In STOP wordt die ruimte ingeperkt om uniciteit van identificaties te bereiken, en om de bruikbaarheid van de identificatie in de keten te garanderen.</p><p class="p">Net als AKN hanteert STOP het <a class="xref" href="EA_188A75C61FB54d108E7659F3FE5DE8F3.html#Pkg">FRBR model</a>
voor (versies van) documenten en data. Net als bij AKN NC wordt de identificatie opgebouwd uit:</p><ul class="ul"><li class="li"><p class="p">Een identificatie van het <em class="ph i">work</em>; dit is een onveranderlijke identificatie die vindplaats-onafhankelijk is.</p></li><li class="li"><p class="p">De identificatie van een versie (<em class="ph i">expression</em>) wordt afgeleid van de identificatie van het work.</p></li><li class="li"><p class="p">Elementen binnen de tekst van een versie (zoals een artikel) hebben een versie-afhankelijke identificatie (<a class="xref" href="begrippenlijst_eId.html#eId">eId</a>) die gebruikt wordt om naar een positie binnen een tekst te verwijzen.</p></li><li class="li"><p class="p">Elementen binnen de tekst en objecten binnen sommige datamodules hebben een versie-onafhankelijke identificatie (<a class="xref" href="begrippenlijst_wId.html#wId">wId</a>) die gebruikt wordt om hetzelfde element/object in de verschillende versies te herkennen.</p></li></ul><p class="p">Waar AKN NC soms een grote vrijheid kent in het opstellen van identificaties, staat STOP veel minder vrijheid toe:</p><ul class="ul"><li class="li"><p class="p">STOP schrijft een nadere invulling van de work en expression identificaties voor.</p></li><li class="li"><p class="p">STOP bevat aanvullende regels voor het toekennen van de <a class="xref" href="begrippenlijst_eId.html#eId">eId</a>/<a class="xref" href="begrippenlijst_wId.html#wId">wId</a>.</p></li><li class="li"><p class="p">In AKN NC kan een versie van een tekst in componenten verdeeld worden; STOP ondersteunt dat slechts voor specifieke toepassingen</p></li><li class="li"><p class="p">STOP 0.98.1-kern ondersteunt alleen Nederlandstalige expressions</p></li></ul><p class="p">AKN NC biedt niet voldoende mogelijkheden om niet-tekstuele informatie (data) op een gelijkwaardige manier als tekst te identificeren. Dat is voor STOP wel nodig: daarom kent STOP een eigen identificatiemethodiek die qua opbouw gelijk is aan de naamgevingsconventie van AKN NC (identificaties beginnend met <code class="ph codeph">/akn/nl/</code>). Deze <em class="ph i">alternatieve</em> "JOIN"-identificatie wordt gehanteerd voor data-works en -expressions, en voor identificaties van waarden en waardelijsten. Deze identificaties beginnen met <code class="ph codeph">/join/</code>. De systematiek voor het samenstellen van een JOIN-identificatie is vrijwel gelijk aan de systematiek die AKN NC hanteert.</p></div></article><article class="topic nested1" aria-labelledby="ariaid-title3" id="ontwerpkeuzes-stop-vs-akn"><h2 class="title topictitle2" id="ariaid-title3">Ontwerpkeuzes STOP vs AKN</h2><div class="body"><p class="p">STOP beperkt dus de ruime AKN NC. Deze beperkingen zorgen ervoor dat de volgende ontwerpkeuzes gelden:</p><ul class="ul"><li class="li"><p class="p">Als een identificatiestring een <code class="ph codeph">@</code> bevat, is het altijd een <strong class="ph b">Expression</strong>-identificatie.</p></li><li class="li"><p class="p">Als een identificatiestring een <code class="ph codeph">.</code> bevat, is het altijd een <strong class="ph b">Manifestation</strong>-identificatie</p></li></ul></div></article><article class="topic nested1" aria-labelledby="ariaid-title4" id="verwijzingen-naar-tekstonderdelen"><h2 class="title topictitle2" id="ariaid-title4">Verwijzingen naar tekstonderdelen</h2><div class="body"><p class="p">AKN NC beschrijft hoe nu naar een deel van de tekst verwezen kan worden:</p><p class="p"><strong class="ph b">Dynamisch</strong>: <code class="ph codeph">&lt;work identificatie&gt; "/" [ "!" &lt;componentnaam&gt; ] "#" eId</code></p><p class="p"><strong class="ph b">Statisch</strong>: <code class="ph codeph">&lt;expression identificatie&gt; "/" [ "!" &lt;componentnaam&gt; ] "#" eId</code></p><p class="p">Naar niet-tekstuele informatie kan alleen verwezen worden met een work of expression identificatie. De identificatie (via een wId) van objecten binnen een informatieobject wordt niet gebruikt voor externe verwijzingen.</p></div></article><article class="topic nested1" aria-labelledby="ariaid-title5" id="gedetailleerde-conventies-voor-stop-akn--en-join-identifiers"><h2 class="title topictitle2" id="ariaid-title5">Gedetailleerde conventies voor STOP-AKN- en JOIN-identifiers</h2><div class="body"><p class="p">De subpagina's beschrijven de identificatieschema's:</p><ul class="ul"><li class="li"><p class="p"><a class="xref" href="identificatie_doc_pub.html">Identificatie van publicaties en documenten</a></p></li><li class="li"><p class="p"><a class="xref" href="identificatie_niet-tekst.html">Identificatie van niet-tekstuele informatie</a></p></li><li class="li"><p class="p"><a class="xref" href="identificatie_wl_dt.html">Waardelijsten en datatypes gebruikt in identificatie</a></p></li></ul></div></article><article class="topic nested1" aria-labelledby="ariaid-title6" id="beknopte-wijzigingshistorie"><h2 class="title topictitle2" id="ariaid-title6">Beknopte wijzigingshistorie</h2><div class="body"><ul class="ul"><li class="li"><p class="p">In STOP v0.97 zijn de JOIN-ids geintroduceerd.</p></li><li class="li"><p class="p">In STOP v0.98-kern:</p><ul class="ul"><li class="li"><p class="p">De identifiers voor tekst en niet-tekst zijn consistent vormgegeven: in Expression-ids is nu overal de volgorde <code class="ph codeph">&lt;datum&gt;</code> gevolgd door een (optionele) <code class="ph codeph">&lt;versie&gt;</code></p></li><li class="li"><p class="p">De beperkingen in karakters en lengtes zijn ingevuld</p></li></ul></li></ul></div></article></article></main></body></html>